#### POSIX Threads for Windows – REFERENCE - Pthreads-w32

Reference Index

Table of Contents

## Name

pthread_getw32threadhandle_np – get the Win32 thread handle associated with a thread

## Synopsis

#include <pthread.h>

HANDLE pthread_getw32threadhandle_np(pthread_t thread);

## Description

Returns the Win32 native thread HANDLE that the POSIX thread thread is running as.

Applications can use the Win32 handle to set Win32 specific attributes of the thread.

## Cancellation

None.

## Return Value

pthread_getw32threadhandle_np returns the Win32 native thread HANDLE for the specified POSIX thread thread.

## Errors

None.

## Author

Ross Johnson for use with Pthreads-w32.

Table of Contents

- Name

- Synopsis

- Description

- Cancellation

- Return Value

- Errors

- Author